Subject: Re: Bug: git push crashing

From: Pali Rohár <[email-masked]>
Date: Fri, 12 Apr 2013 21:32:59 +0200

On Friday 12 April 2013 21:06:31 John Keeping wrote:
> On Fri, Apr 12, 2013 at 08:50:25PM +0200, Pali Rohár wrote:
> > when I'm trying to push one specific branch from my git
> > repository to server, git push crashing. Pushing branch is
> > rejected by server (because non fast forward), but local
> > git app should not crash.
> > 
> > I'm using git from ubuntu apt repository (compiled myself
> > for debug symbols), version git_1.7.10.4-1ubuntu1 on amd64
> > ubuntu system:
> > http://packages.ubuntu.com/source/quantal/git
> > 
> > Here are gdb backtrace and valgrind outputs. I changed
> > server, repo and branch strings from output. It looks like
> > that git crashing in strcmp function because one of
> > arguments is NULL.
> > 
> > If you need more info, I can send it. This crash occur
> > always. I can reproduce it again and again...
> 
> This looks like the same issue that was fixed by commit
> 1d2c14d (push: fix segfault when HEAD points nowhere -
> 2013-01-31).
> 
> Can you try again with Git 1.8.2 and see if the crash still
> happens?

Hello, now I tried version 1.8.2.1 and git push not crashing :-) 
I also tried version 1.8.1 and as expected it crashed.

So thanks for quick reply, seems that this problem is already 
fixed in 1.8.2.

-- 
Pali Rohár
[email-masked]